Skip to navigation

List Brand Metafields

Returns a list of brand metafields. Optional filter parameters can be passed in.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

brand_idintegerRequired
The ID of the brand to which the resource belongs.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

idintegerOptional
Filter items by ID.
id:inlist of integersOptional
Filter results to those whose ID is in this list.
id:not_inlist of integersOptional
Filter results to those whose ID is not in this list.
id:minlist of integersOptional
Filter results to those whose ID is greater than or equal to this value.
id:maxlist of integersOptional
Filter results to those whose ID is less than or equal to this value.
id:greaterlist of integersOptional
Filter results to those whose ID is greater than this value.
id:lesslist of integersOptional
Filter results to those whose ID is less than this value.
pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

keystringOptional

Filter based on a metafieldʼs key.

namespacestringOptional

Filter based on a metafieldʼs namespaces.

include_fieldslist of stringsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

Response

OK
datalist of objectsOptional
metaobjectOptional
Data about the response, including pagination and collection totals.